import { HttpClient } from "./lib/http/http-client";
import { BackendProxy } from "./lib/http/backend-proxy";
import { CreateBuildSessionIdRequest, CreateBuildSessionIdResponse, GetBuildSessionIdResponse } from "./lib/http/contracts";
declare namespace SlJsInfra {
    interface SlJsInfraStatic {
        HttpClient: HttpClient;
        BackendProxy: BackendProxy;
        CreateBuildSessionIdRequest: CreateBuildSessionIdRequest;
        CreateBuildSessionIdResponse: CreateBuildSessionIdResponse;
        GetBuildSessionIdResponse: GetBuildSessionIdResponse;
    }
}
declare const SlJsInfra: SlJsInfra.SlJsInfraStatic;
export = SlJsInfra;
